from netforce.model import Model, fields, get_model
from netforce.utils import get_data_path
import time
from netforce.access import get_active_user
from netforce.access import get_active_company

class Hdcaseline(Model):
    _name="clinic.hd.case.line"
    _fields={
        "hd_case_id": fields.Many2One("clinic.hd.case","HdCase",required=True,on_delete="cascade"),
        "dialzer_id": fields.Many2One("clinic.dialyzer","Dialzer",search=True),
        "detail": fields.Char("description",search=True),
        "use_time":fields.Integer("Use time"),
        "max_use_time":fields.Integer("Max use time"),
        "state":fields.Selection([("active","Active"),("drop","Drop")],"Status DZ"),
    }
Hdcaseline.register()

